public class Demarre implements ChronometreState {

    private Chronometre chronometre;

    public Demarre(Chronometre chronometre) {
        this.chronometre = chronometre;
        this.chronometre.setTemps(System.currentTimeMillis());
    }

    @Override
    public void demarrer() {
        // Ne fait rien
    }

    @Override
    public void mettreEnPause() {
        System.out.println("Mise en pause du chronomètre");
        chronometre.setState(new EnPause(chronometre));
    }

    @Override
    public void arreter() {
        System.out.println("Arrêt du chronomètre");
        chronometre.setState(new Arrete(chronometre));
    }

    @Override
    public void reinitialiser() {
        System.out.println("Réinitialisation du chronomètre");
        chronometre.setState(new Reinitialise(chronometre));
    }

    @Override
    public String getTemps() {
        long tempsActuel = System.currentTimeMillis();
        long tempsEcoule = tempsActuel - chronometre.getTempsInitial();
        return String.format("%d", tempsEcoule);
    }

}
