public class EnPause implements ChronometreState {

    private Chronometre chronometre;

    public EnPause(Chronometre chronometre) {
        this.chronometre = chronometre;
    }

    @Override
    public void demarrer() {
        System.out.println("Démarrage du chronomètre");
        chronometre.setState(new Demarre(chronometre));
    }

    @Override
    public void mettreEnPause() {
        // Ne fait rien
    }

    @Override
    public void arreter() {
        System.out.println("Arrêt du chronomètre");
        chronometre.setState(new Arrete(chronometre));
    }

    @Override
    public void reinitialiser() {
        System.out.println("Réinitialisation du chronomètre");
        chronometre.setState(new Reinitialise(chronometre));
    }

    @Override
    public String getTemps() {
        long tempsActuel = System.currentTimeMillis();
        long tempsEcoule = tempsActuel - chronometre.getTempsInitial();
        return String.format("%d", tempsEcoule);
    }

}
